geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jgenen...@apache.org
Subject svn commit: r231232 - in /geronimo/trunk/modules/assembly/src/scripts: deploy.sh startup.sh
Date Wed, 10 Aug 2005 13:47:06 GMT
Author: jgenender
Date: Wed Aug 10 06:47:03 2005
New Revision: 231232

URL: http://svn.apache.org/viewcvs?rev=231232&view=rev
Log:
Testing for the JVM in the scripts

Modified:
    geronimo/trunk/modules/assembly/src/scripts/deploy.sh
    geronimo/trunk/modules/assembly/src/scripts/startup.sh

Modified: geronimo/trunk/modules/assembly/src/scripts/deploy.sh
URL: http://svn.apache.org/viewcvs/geronimo/trunk/modules/assembly/src/scripts/deploy.sh?rev=231232&r1=231231&r2=231232&view=diff
==============================================================================
--- geronimo/trunk/modules/assembly/src/scripts/deploy.sh (original)
+++ geronimo/trunk/modules/assembly/src/scripts/deploy.sh Wed Aug 10 06:47:03 2005
@@ -31,6 +31,10 @@
 fi
 
 JAVA=$JAVA_HOME/bin/java
+if [ ! -f "$JAVA" ]; then 
+    echo "Unable to locate Java"
+    exit 1
+fi
 
 PRG="$0"
 while [ -h "$PRG" ] ; do

Modified: geronimo/trunk/modules/assembly/src/scripts/startup.sh
URL: http://svn.apache.org/viewcvs/geronimo/trunk/modules/assembly/src/scripts/startup.sh?rev=231232&r1=231231&r2=231232&view=diff
==============================================================================
--- geronimo/trunk/modules/assembly/src/scripts/startup.sh (original)
+++ geronimo/trunk/modules/assembly/src/scripts/startup.sh Wed Aug 10 06:47:03 2005
@@ -31,6 +31,10 @@
 fi
 
 JAVA=$JAVA_HOME/bin/java
+if [ ! -f "$JAVA" ]; then 
+    echo "Unable to locate Java"
+    exit 1
+fi
 
 PRG="$0"
 while [ -h "$PRG" ] ; do



Mime
View raw message